CCM< T_BlockCipher, T_DefaultDigestSize > Struct Template Reference

CCM More...

`#include <ccm.h>`

Inheritance diagram for CCM< T_BlockCipher, T_DefaultDigestSize >:

## Public Types

typedef CCM_Final < T_BlockCipher, T_DefaultDigestSize, true > | Encryption
typedef CCM_Final < T_BlockCipher, T_DefaultDigestSize, false > | Decryption

## Detailed Description

### template<class T_BlockCipher, int T_DefaultDigestSize = 16>
struct CCM< T_BlockCipher, T_DefaultDigestSize >

CCM

Definition at line 93 of file ccm.h.

The documentation for this struct was generated from the following file:

- ccm.h